#include <bits/stdc++.h>

using namespace std;

int b[100000];

int main() {
    int n, q;
    cin >> n >> q;
    vector<int>a(n);
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    for(int i = 0; i < q; i++){
        int l, r, max = 1;
        cin >> l, r;
        l--; r--;
        memset(b, 0, sizeof(b));
        for(int j = l; j <= r; j++){
            b[a[i]]++;
        }
        for(int j = 0; j < 100000; j++){
            if(b[i] > max){
                max = b[i];
            }
        }
        cout << max << '\n'; 
    }
    return 0;
}